[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragDropEvent

The type of an OnDragDrop notification handler.

## Declaration

Source position: controls.pp line 501

`type TDragDropEvent = procedure(`
`Sender: TObject;`
`Source: TObject;`
`X: Integer;`
`Y: Integer`
`) of object;`

## Arguments

`Sender` |  | The target control of the drop.
`Source` |  | The dragged control.
`X` |  | The client coordinates of the drop.
`Y` |  | The client coordinates of the drop.

## Description

An OnDragDrop event is generated by the target control, on the drop of a dragged object.

## See also

TDockDropEvent |  | The type of an OnDockDrop handler.
TEndDragEvent |  | The type of an OnEndDrag handler.
TControl.OnDragDrop |  | Event handler signalled when an object is dropped onto the control.